Bug 94144 - [MAINTAINER] mail/MailScanner: update to 4.51.5
Summary: [MAINTAINER] mail/MailScanner: update to 4.51.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Johan van Selst
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-06 18:20 UTC by Jan-Peter Koopmann
Modified: 2006-04-13 14:32 UTC (History)
0 users

See Also:


Attachments
MailScanner-4.51.5.patch (10.32 KB, patch)
2006-03-06 18:20 UTC, Jan-Peter Koopmann
no flags Details | Diff
smime.p7s (3.03 KB, application/x-pkcs7-signature)
2006-03-09 11:47 UTC, Jan-Peter.Koopmann
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan-Peter Koopmann 2006-03-06 18:20:09 UTC
- Update to 4.51.5

ChangeLog: 
fixed mta.sh script

2/3/2006 New in Version 4.51.5-1
================================
* New Features and Improvements *
- Syntax checking of Spam Actions (and its brothers) at run time.
  Message will be delivered if an error is found.
- Improved detection of Solaris GCC in the installers.
- New option "Use TNEF Contents" allows you to add the contents of winmail.dat
  attachments to messages in TNEF format. This means that users not running
  Microsoft Outlook can read attachments put there by badly-configured
  Outlook or Exchange systems. Valid values are "no", "add" or "replace" which
  do pretty much what they say. Explanations are in MailScanner.conf.
- Improved PID handling in sendmail on SuSE systems.
- Improved logging of overall batch timing.

* Fixes *
- "Use TNEF Contents = replace" didn't work in release 4.51.4. Fixed.

2/2/2006 New in Version 4.50.15-1


Generated with FreeBSD Port Tools 0.63
Comment 1 Jan-Peter.Koopmann 2006-03-09 11:47:23 UTC
Please use this diff for mta.sh.in. Sorry:


diff -u -r1.2 mta.sh.in
--- files/mta.sh.in	20 Feb 2006 20:47:12 -0000	1.2
+++ files/mta.sh.in	9 Mar 2006 11:44:39 -0000
@@ -22,6 +22,9 @@
 # mta_pidfile (str):      PID file, defaults depending on $mta_type either
 #			  to "/var/run/sendmail.pid" or "/var/run/exim.pid"
 #
+#
+# ATTENTION: All of the above entries are necessary in order for mta.sh to
work correctly!
+#
 
 #
 # Examples:
@@ -45,17 +48,30 @@
 # mta_profiles="incoming outgoing submitqueue"
 # mta_incoming_flags="-L sm-mta-in -bd -OPrivacyOptions=noetrn
-OQueueDirectory=/var/spool/mqueue.in -ODeliveryMode=queueonly"
 # mta_incoming_pidfile="/var/run/sendmail_in.pid"
+# mta_incoming_configfile="/etc/mail/sendmail.cf"
 # mta_outgoing_flags="-L sm-mta-out -q15m"
 # mta_outgoing_pidfile="/var/run/sendmail_out.pid"
+# mta_outgoing_configfile="/etc/mail/sendmail.cf"
 # mta_submitqueue_flags="-L sm-msp-queue -Ac -q15m"
 # mta_submitqueue_pidfile="/var/spool/clientmqueue/sm-client.pid"
-#
+# mta_submitqueue_configfile="/etc/mail/submit.cf"
+
+PATH=$PATH:/sbin:/usr/sbin; export PATH
 
 . %%RC_SUBR%%
 
 name="mta"
 rcvar=`set_rcvar`
 
+_mta_rc_script="%%PREFIX%%/etc/rc.d/mta"
+_mta_osversion="`sysctl -n kern.osreldate`"
+if [ \( "$_mta_osversion" -lt "600101" \) -o \
+	\( \( $_mta_osversion -ge 700000 \) -a \
+		\( $_mta_osversion -lt 700007 \) \) ]
+then
+	$_mta_rc_script="{$_mta_rc_script}.sh"
+fi
+
 load_rc_config $name
 
 : ${mta_enable="NO"}
@@ -102,13 +118,13 @@
 		eval mta_pidfile=\${mta_${profile}_pidfile:-${mta_pidfile}}
 		pidfile="${_pidprefix}.${profile}.pid"
 	else
-		echo "$0: extra argument ignored"
+		echo "$_mta_rc_script: extra argument ignored"
 	fi
 else
 	if [ "x${mta_profiles}" != "x" ]; then
 	for profile in ${mta_profiles}; do
 		echo "===> mta profile: ${profile}"
-		$0 $1 $profile
+		$_mta_rc_script $1 $profile
 		retcode=$?
 		if [ "$?" -ne 0 ]; then
 			failed="${profile} ({$retcode}) ${failed}"

Comment 2 Johan van Selst freebsd_committer 2006-04-07 15:07:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->johans

I'll take it.
Comment 3 Mike Jakubik 2006-04-08 18:04:16 UTC
4.52 is out :P
Comment 4 Johan van Selst freebsd_committer 2006-04-13 14:28:18 UTC
State Changed
From-To: open->closed

Committed, thanks. 
I only just spotted the update to 4.52 and will apply it soon.